# getLargestAccounts

Returns the 20 largest accounts, by lamport balance (results may be cached up to two hours).

This method will use `160` [Compute Units](/v1/about/billing.md).

***

{% hint style="warning" %}
`getLargestAccounts` for Solana is limited to 1 request per second. If you have higher rate limit needs, [contact us](https://www.validationcloud.io/contact).
{% endhint %}

## **Parameters**

* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
      * `confirmed` string.
        * The node will query the most recent block that has been voted on by the supermajority of the cluster.
      * `processed` string.
        * The node will query its most recent block. Note that the block may not be complete.
  * `filter` string. Filters results by account type; currently supported: circulating and nonCirculating.

## Returns

`result` Null if the requested account doesn't exist otherwise RpcResponse JSON object with the following fields:

* `context` The information about the current state of the program.
  * `apiVersion` The version of the Solana RPC API to use.
  * `slot` An integer representing the slot for which to retrieve the fee calculator.
* `value` A JSON object with the following fields:
  * `address` The address of the account encoded as base-58.
  * `lamports` The number of lamports in the account as u64, 64-bit unsigned integer.

```bash
{
	"jsonrpc": "2.0",
	"result": {
		"context": {
			"apiVersion": "2.1.11",
			"slot": 360555272
		},
		"value": [
			{
				"address": "mvines9iiHiQTysrwkJjGf2gb9Ex9jXJX8ns3qwf2kN",
				"lamports": 197841570638977370
			},
			{
				"address": "APnSR52EC1eH676m7qTBHUJ1nrGpHYpV7XKPxgRDD8gX",
				"lamports": 164011035098290000
			},
			{
				"address": "13LeFbG6m2EP1fqCj9k66fcXsoTHMMtgr7c78AivUrYD",
				"lamports": 153333649481168236
			},
			{
				"address": "GXCgKcM3i1w1cGwxvXhQBpikDZoAVMvwSe2nHCjUrPnK",
				"lamports": 97848774994686086
			},
			{
				"address": "GK2zqSsXLA2rwVZk347RYhh6jJpRsCA69FjLW93ZGi3B",
				"lamports": 57499999036109120
			},
			{
				"address": "6wWeB3e3ZskFe23JEbPPoGqJUPPTWDEMceynQiWTQSeo",
				"lamports": 40065396253402280
			},
			{
				"address": "9B5XszUGdMaxCZ7uSQhPzdks5ZQSmWxrmzCSvtJ6Ns6g",
				"lamports": 36321161101114207
			},
			{
				"address": "8HVqyX9jebh31Q9Hp8t5sMVJs665979ZeEr3eCfzitUe",
				"lamports": 30301039071168236
			},
			{
				"address": "5CSTrn37yJEpwhVkEuHMrzY4JuFkDjwSgTQNDXzNHKmk",
				"lamports": 25000001000000000
			},
			{
				"address": "GaQFqkCWNUz1wvVasZviu4Qy7Zsc16op1G9UuqXicm61",
				"lamports": 25000000000000000
			},
			{
				"address": "5eByrnghYEpMLrGagSHi7DLoHVhtPGhBoeDRFoSr3hpp",
				"lamports": 25000000000000000
			},
			{
				"address": "HbZ5FfmKWNHC7uwk6TF1hVi6TCs7dtYfdjEcuPGgzFAg",
				"lamports": 14999999036109120
			},
			{
				"address": "6v2RcyyqG3NTusX4PEQESHB8t7SVM4Nw2bMvkqBtkA3t",
				"lamports": 12500000000000000
			},
			{
				"address": "FiBYRSQ9soWgusiegetmfEzMXhCV7RDxejo6ByEtg5B",
				"lamports": 12500000000000000
			},
			{
				"address": "35akt5uJn73ZN9FkGgBKpRwbW5scoqV7M1N59cwb4TKV",
				"lamports": 11109338020858915
			},
			{
				"address": "ETSKPSzESbVdmtUn67LA2p9J1gPCSEgYvmJS9pNNWQqR",
				"lamports": 10149500386566724
			},
			{
				"address": "H7sMjTQfvJRti79z3wM5ZxrDZ8FdX9maaWqwewLYPPLL",
				"lamports": 10000000000000000
			},
			{
				"address": "FqNVFwZBxLvYi53CmgGvhequSQ38sLYTEnAyXFHo9HDw",
				"lamports": 10000000000000000
			},
			{
				"address": "36y1bqYP5Lp1uGCdTyAD5pxm29K5ZHipMCpzg4Q8WACx",
				"lamports": 10000000000000000
			},
			{
				"address": "13QsXgjy53n2z4JzAdz7tUP4JSkTfrr4xuoeL4XgVFNG",
				"lamports": 10000000000000000
			}
		]
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getLargestAccounts"}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getLargestAccounts"}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getlargestaccounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
